Subject: Re: bug#65027: 30.0.50; [PATCH] Document .elpaignore behavior in the Emacs Lisp manual

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Aug 2023 08:42:53 +0300

> Date: Thu, 3 Aug 2023 15:02:12 -0700
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> From: Jim Porter <[email-masked]>
> 
> As a general guideline for documentation, I'm thinking that anything a 
> package author puts in their own repository would get documented in the 
> Emacs Lisp manual, whereas anything that goes in the (Non)GNU ELPA 
> repository (e.g. in the elpa-packages file) goes in the ELPA README. 
> That makes intuitive sense to me as a package author at least: then the 
> Emacs Lisp manual would have everything I need to *prepare* my package 
> for eventual inclusion in ELPA.

To have the best of both worlds, please have the ELisp manual mention
the ELPA README file, and ELPA README file to mention specific nodes
of the ELisp manual where this stuff is described.